ONIG-CONFIG(1)

NAME
onig-config - provide information about the installed version of libonig

SYNOPSIS
onig-config [ --prefix[=DIR] ] [ --exec-prefix[=DIR] ] [ --libs ] [ --cflags ] [ --version ]

DESCRIPTION
onig-config returns the configuration of the installed Oniguruma library: the options required to compile a program which uses the library.

OPTIONS

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that libonig was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that libonig was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--libs
    Print the linker flags that are necessary to link a libonig program.

--cflags
    Print the compiler flags that are necessary to compile a libonig program.

--version
    Print the currently installed version of libonig on the standard output.

AUTHOR
This manual page was written by Max Kellermann <max@duempel.org> for the Debian GNU/Linux system (but may be used by others), based on other Debian manual pages.